﻿
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    <link href="~/Content/Site.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <script src="~/Scripts/modernizr-2.6.2.js"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container px-4 px-lg-5">
            <a class="navbar-brand">Card Project</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                    <li class="nav-item"><a class="nav-link active" aria-current="page" href="@Url.Action("Index", "Home")">Home</a></li>
                 
                    @{

                        if (HttpContext.Current.Session["Role"]!= null && HttpContext.Current.Session["Role"].ToString().Contains("Admin")) {
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Admin</a>
                            
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="@Url.Action("Index", "Data")">Users</a></li>
                                <li><hr class="dropdown-divider" /></li>
                                <li><a class="dropdown-item" href="#!">My Data-Cards</a></li>
                                <li><a class="dropdown-item" href="@Url.Action("DataTable", "Data")">Data Table</a></li>
                            </ul>
                    </li>
                            } }
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">Data</a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="@Url.Action("Index", "Data")">Browse Data</a></li>
                            <li><hr class="dropdown-divider" /></li>
                            <li><a class="dropdown-item" href="@Url.Action("MyData", "Data")">My Data-Cards</a></li>
                            <li><a class="dropdown-item" href="@Url.Action("AddCard", "Data")">Add Data</a></li>
                        </ul>
                    </li>
                </ul>

                @if (HttpContext.Current.Session["User"] != null)
                {
                <form class="d-flex" action="@Url.Action("Logout", "User")">
                    <button class="btn btn-outline-dark" type="submit">

                       Logout

                    </button>
                </form>
                }
                else
                {
                <form class="d-flex" action="@Url.Action("TryLogin", "User")">
                    <button class="btn btn-outline-dark" type="submit">

                      Login

                    </button>
                </form>
                }



                </div>
        </div>
    </nav>

    <div class="container body-content">
        @RenderBody()
        <footer class="py-5 bg-dark">
            <div class="container"><p class="m-0 text-center text-white">Yaroslav Kopetsky Card Project - 2021</p></div>
        </footer>
    </div>

    <script src="../Content/JSS/jquery-1.10.2.min.js"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>
</body>
</html>